# okokRequests

[**YouTube Video**](https://www.youtube.com/watch?v=cySghkugvQU)

## Installation Guide

### Displaying a request

#### Client side

```lua
exports['okokRequests']:requestMenu(target, time, title, message, trigger, side, parameters, parametersNum)
```

#### Server side

```lua
TriggerClientEvent('okokRequests:RequestMenu', source, target, time, title, message, trigger, side, parameters, parametersNum) 
```

**Fields:**

* The **target** field defines who receives the request;
* The **time** field lets you set the time the request window will stay on the screen;
* The **title** field is where you set the request title;
* The **message** field lets you choose the message that will appear on the request window;
* The **trigger** field is where you choose the event that will be executed;
* The **side** (client/server) field allows you to choose if the trigger is client or server sided;
* The **parameters** field contains the parameters the trigger takes;
* The **parametersNum** field are the number of paramenters used.

#### Example

```lua
TriggerClientEvent('okokRequests:RequestMenu', source, tonumber(args[1]), 10000, '<i class="fas fa-question-circle"></i>&nbsp;Job Offer', 'Tommy wants to hire you.', 'client', 'parameter1,parameter2,parameter3,parameter4,parameter5', 5)
```

### Important

* The **side** field should be either `client` or `server`;
* The **parameters** field needs to be a string, all parameters need to be separated by a comma ',' and without any spaces;
* Always set the number of parameters used, in the **parametersNum** field;
* If you don't have any parameters, you don't need to add the **parameters** and the **parametersNum** field.

### Dark/light theme

To enable/disable the dark/light mode, you should go to the **scripts.js** file and navigate to the line 1, if **var darkMode** is set to **true**, the **dark theme** will be enabled, otherwise it the enabled theme will be the **light**.

### Server artifacts

Make sure your server artifacts version is above the **5181**.

* Windows: <https://runtime.fivem.net/artifacts/fivem/build_server_windows/master/>
* Linux: <https://runtime.fivem.net/artifacts/fivem/build_proot_linux/master/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokrequests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
